
Redmine - Defect #37784

Crash on running v4.2.8

2022-10-16 19:13 - salman mp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.2.8

Description

Hi

After upgrading to v4.2.8 my redmine does not start and this is as follow.

Changing gem 'psych', '~> 3.1 to gem 'psych', '~> 3.1.0' in Gemfile fixes the problem!

Another problem is the 2 first line of log showing warning.

Nginx error log:

App 1228912 output: /var/lib/gems/2.5.0/gems/psych-3.3.4/lib/psych.rb:236: warning: already initia

lized constant Psych::LIBYAML_VERSION

App 1228912 output: /usr/lib/ruby/2.5.0/psych.rb:232: warning: previous definition of LIBYAML_VERS

ION was here

App 1228912 output: Error: The application encountered the following error: Cannot load database c

onfiguration:

App 1228912 output: wrong number of arguments (given 1, expected 0) (ArgumentError)

App 1228912 output:     /usr/lib/ruby/2.5.0/psych/nodes/node.rb:49:in `to_ruby'

App 1228912 output:     /var/lib/gems/2.5.0/gems/psych-3.3.4/lib/psych.rb:282:in `unsafe_load'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/application/configurat

ion.rb:172:in `database_configuration'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activerecord-5.2.8.1/lib/active_record/railtie.rb

:133:in `block (2 levels) in <class:Railtie>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:71:in `instance_eval'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:71:in `block in execute_hook'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:62:in `with_execution_control'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:67:in `execute_hook'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:52:in `block in run_load_hooks'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:51:in `each'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/lazy_loa

d_hooks.rb:51:in `run_load_hooks'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activerecord-5.2.8.1/lib/active_record/base.rb:32

8:in `<module:ActiveRecord>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activerecord-5.2.8.1/lib/active_record/base.rb:27

:in `<top (required)>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:291:in `require'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:291:in `block in require'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:257:in `load_dependency'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:291:in `require'

App 1228912 output:     /var/lib/app/lib/plugins/acts_as_activity_provider/init.rb:4:in `block in 

<top (required)>'

App 1228912 output:     /var/lib/app/config/initializers/00-core_plugins.rb:14:in `eval'
App 1228912 output:     /var/lib/app/config/initializers/00-core_plugins.rb:14:in `block in <top (

required)>'

App 1228912 output:     /var/lib/app/config/initializers/00-core_plugins.rb:4:in `each'

App 1228912 output:     /var/lib/app/config/initializers/00-core_plugins.rb:4:in `<top (required)>

'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:285:in `load'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:285:in `block in load'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:257:in `load_dependency'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/dependen

cies.rb:285:in `load'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/engine.rb:663:in `bloc

k in load_config_initializer'

App 1228912 output:     /var/lib/gems/2.5.0/gems/activesupport-5.2.8.1/lib/active_support/notifica

tions.rb:170:in `instrument'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/engine.rb:662:in `load

_config_initializer'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/engine.rb:620:in `bloc

k (2 levels) in <class:Engine>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/engine.rb:619:in `each

'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/engine.rb:619:in `bloc

k in <class:Engine>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:32:in

 `instance_exec'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:32:in

 `run'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:61:in

 `block in run_initializers'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:228:in `block in tsort_each'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:350:in `block (2 levels) in each_strongly_con

nected_component'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:422:in `block (2 levels) in each_strongly_con

nected_component_from'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:431:in `each_strongly_connected_component_fro

m'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:421:in `block in each_strongly_connected_comp

onent_from'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:50:in

 `each'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:50:in

 `tsort_each_child'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:415:in `call'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:415:in `each_strongly_connected_component_fro

m'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:349:in `block in each_strongly_connected_comp

onent'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:347:in `each'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:347:in `call'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:347:in `each_strongly_connected_component'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:226:in `tsort_each'

App 1228912 output:     /usr/lib/ruby/2.5.0/tsort.rb:205:in `tsort_each'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/initializable.rb:60:in

 `run_initializers'

App 1228912 output:     /var/lib/gems/2.5.0/gems/railties-5.2.8.1/lib/rails/application.rb:361:in 

`initialize!'

App 1228912 output:     /var/lib/peygir/instances/salman/app/config/environment.rb:16:in `<top (re

quired)>'

App 1228912 output:     config.ru:3:in `require'

App 1228912 output:     config.ru:3:in `block in <main>'

App 1228912 output:     /var/lib/gems/2.5.0/gems/rack-2.2.4/lib/rack/builder.rb:125:in `instance_e

val'

App 1228912 output:     /var/lib/gems/2.5.0/gems/rack-2.2.4/lib/rack/builder.rb:125:in `initialize

'

App 1228912 output:     config.ru:1:in `new'
App 1228912 output:     config.ru:1:in `<main>'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:101:in `eval'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:101:in `preload_app'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:189:in `block in <mo

dule:App>'

App 1228912 output:     /usr/lib/ruby/vendor_ruby/phusion_passenger/loader_shared_helpers.rb:382:i

n `run_block_and_record_step_progress'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:188:in `<module:App>

'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:30:in `<module:Phusi

onPassenger>'

App 1228912 output:     /usr/share/passenger/helper-scripts/rack-preloader.rb:29:in `<main>'

[ E 2022-10-16 20:25:51.1539 1089606/T2pd age/Cor/App/Implementation.cpp:221 ]: Could not spawn pr

ocess for application /var/lib/app: The application encountered the following error: Cannot load d

atabase configuration:

wrong number of arguments (given 1, expected 0) (ArgumentError)

 config/database:

production:

  adapter: postgresql

  encoding: unicode

  host: "127.0.0.1" 

  database: redmine

  username: redmine

  password: redmine

 Environment:

ruby 2.5.5p157

rails 5.2.8.1

nginx

postgresql 11

debian 10

Related issues:

Related to Redmine - Patch #37465: Update Rails to 5.2.8.1 Closed

History

#1 - 2022-10-17 15:04 - Holger Just

- Related to Patch #37465: Update Rails to 5.2.8.1 added

#2 - 2024-02-06 16:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

The current version of Redmine does not have the following line in Gemfile. Probably the reported issue is fixed.

gem 'psych', '~> 3.1' if Gem.ruby_version < Gem::Version.new('2.6.0')
